• Home
  • Line#
  • Scopes#
  • Navigate#
  • Raw
  • Download
1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71	 X"$0" : 'X\(//\)$' \| \
72	 X"$0" : 'X\(/\)$' \| \
73	 .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
77  	  /^X\/\(\/\).*/{ s//\1/; q; }
78  	  s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140	 case $as_dir in
141	 /*)
142	   if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150	     CONFIG_SHELL=$as_dir/$as_base
151	     export CONFIG_SHELL
152	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153	   fi;;
154	 esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='	' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" 	$as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by strace $as_me 4.5.12, which was
263generated by GNU Autoconf 2.59.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile"
275config_headers=" config.h"
276config_commands=" depfiles"
277
278ac_cs_usage="\
279\`$as_me' instantiates files from templates according to the
280current configuration.
281
282Usage: $0 [OPTIONS] [FILE]...
283
284  -h, --help       print this help, then exit
285  -V, --version    print version number, then exit
286  -q, --quiet      do not print progress messages
287  -d, --debug      don't remove temporary files
288      --recheck    update $as_me by reconfiguring in the same conditions
289  --file=FILE[:TEMPLATE]
290		   instantiate the configuration file FILE
291  --header=FILE[:TEMPLATE]
292		   instantiate the configuration header FILE
293
294Configuration files:
295$config_files
296
297Configuration headers:
298$config_headers
299
300Configuration commands:
301$config_commands
302
303Report bugs to <bug-autoconf@gnu.org>."
304ac_cs_version="\
305strace config.status 4.5.12
306configured by ./configure, generated by GNU Autoconf 2.59,
307  with options \"'--prefix=/data/' '--build=arm-unknown-linux-gnu' 'CFLAGS=-I/android/device/system/kernel_headers/' 'build_alias=arm-unknown-linux-gnu'\"
308
309Copyright (C) 2003 Free Software Foundation, Inc.
310This config.status script is free software; the Free Software Foundation
311gives unlimited permission to copy, distribute and modify it."
312srcdir=.
313INSTALL="/usr/bin/install -c"
314# If no file are specified by the user, then we need to provide default
315# value.  By we need to know if files were specified by the user.
316ac_need_defaults=:
317while test $# != 0
318do
319  case $1 in
320  --*=*)
321    ac_option=`expr "x$1" : 'x\([^=]*\)='`
322    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323    ac_shift=:
324    ;;
325  -*)
326    ac_option=$1
327    ac_optarg=$2
328    ac_shift=shift
329    ;;
330  *) # This is not an option, so the user has probably given explicit
331     # arguments.
332     ac_option=$1
333     ac_need_defaults=false;;
334  esac
335
336  case $ac_option in
337  # Handling of the options.
338  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339    ac_cs_recheck=: ;;
340  --version | --vers* | -V )
341    echo "$ac_cs_version"; exit 0 ;;
342  --he | --h)
343    # Conflict between --help and --header
344    { { echo "$as_me:$LINENO: error: ambiguous option: $1
345Try \`$0 --help' for more information." >&5
346echo "$as_me: error: ambiguous option: $1
347Try \`$0 --help' for more information." >&2;}
348   { (exit 1); exit 1; }; };;
349  --help | --hel | -h )
350    echo "$ac_cs_usage"; exit 0 ;;
351  --debug | --d* | -d )
352    debug=: ;;
353  --file | --fil | --fi | --f )
354    $ac_shift
355    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356    ac_need_defaults=false;;
357  --header | --heade | --head | --hea )
358    $ac_shift
359    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360    ac_need_defaults=false;;
361  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362  | -silent | --silent | --silen | --sile | --sil | --si | --s)
363    ac_cs_silent=: ;;
364
365  # This is an error.
366  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367Try \`$0 --help' for more information." >&5
368echo "$as_me: error: unrecognized option: $1
369Try \`$0 --help' for more information." >&2;}
370   { (exit 1); exit 1; }; } ;;
371
372  *) ac_config_targets="$ac_config_targets $1" ;;
373
374  esac
375  shift
376done
377
378ac_configure_extra_args=
379
380if $ac_cs_silent; then
381  exec 6>/dev/null
382  ac_configure_extra_args="$ac_configure_extra_args --silent"
383fi
384
385if $ac_cs_recheck; then
386  echo "running /bin/sh ./configure " '--prefix=/data/' '--build=arm-unknown-linux-gnu' 'CFLAGS=-I/android/device/system/kernel_headers/' 'build_alias=arm-unknown-linux-gnu' $ac_configure_extra_args " --no-create --no-recursion" >&6
387  exec /bin/sh ./configure '--prefix=/data/' '--build=arm-unknown-linux-gnu' 'CFLAGS=-I/android/device/system/kernel_headers/' 'build_alias=arm-unknown-linux-gnu' $ac_configure_extra_args --no-create --no-recursion
388fi
389
390#
391# INIT-COMMANDS section.
392#
393
394AMDEP_TRUE="" ac_aux_dir="."
395
396for ac_config_target in $ac_config_targets
397do
398  case "$ac_config_target" in
399  # Handling of arguments.
400  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
402  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
403  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
404echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
405   { (exit 1); exit 1; }; };;
406  esac
407done
408
409# If the user did not use the arguments to specify the items to instantiate,
410# then the envvar interface is used.  Set only those that are not.
411# We use the long form for the default assignment because of an extremely
412# bizarre bug on SunOS 4.1.3.
413if $ac_need_defaults; then
414  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
415  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
416  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
417fi
418
419# Have a temporary directory for convenience.  Make it in the build tree
420# simply because there is no reason to put it here, and in addition,
421# creating and moving files from /tmp can sometimes cause problems.
422# Create a temporary directory, and hook for its removal unless debugging.
423$debug ||
424{
425  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
426  trap '{ (exit 1); exit 1; }' 1 2 13 15
427}
428
429# Create a (secure) tmp directory for tmp files.
430
431{
432  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
433  test -n "$tmp" && test -d "$tmp"
434}  ||
435{
436  tmp=./confstat$$-$RANDOM
437  (umask 077 && mkdir $tmp)
438} ||
439{
440   echo "$me: cannot create a temporary directory in ." >&2
441   { (exit 1); exit 1; }
442}
443
444
445#
446# CONFIG_FILES section.
447#
448
449# No need to generate the scripts if there are no CONFIG_FILES.
450# This happens for instance when ./config.status config.h
451if test -n "$CONFIG_FILES"; then
452  # Protect against being on the right side of a sed subst in config.status.
453  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
454   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
455s,@SHELL@,/bin/sh,;t t
456s,@PATH_SEPARATOR@,:,;t t
457s,@PACKAGE_NAME@,strace,;t t
458s,@PACKAGE_TARNAME@,strace,;t t
459s,@PACKAGE_VERSION@,4.5.12,;t t
460s,@PACKAGE_STRING@,strace 4.5.12,;t t
461s,@PACKAGE_BUGREPORT@,,;t t
462s,@exec_prefix@,${prefix},;t t
463s,@prefix@,/data/,;t t
464s,@program_transform_name@,s,x,x,,;t t
465s,@bindir@,${exec_prefix}/bin,;t t
466s,@sbindir@,${exec_prefix}/sbin,;t t
467s,@libexecdir@,${exec_prefix}/libexec,;t t
468s,@datadir@,${prefix}/share,;t t
469s,@sysconfdir@,${prefix}/etc,;t t
470s,@sharedstatedir@,${prefix}/com,;t t
471s,@localstatedir@,${prefix}/var,;t t
472s,@libdir@,${exec_prefix}/lib,;t t
473s,@includedir@,/usr/include,;t t
474s,@oldincludedir@,/usr/include,;t t
475s,@infodir@,${prefix}/info,;t t
476s,@mandir@,${prefix}/man,;t t
477s,@build_alias@,arm-unknown-linux-gnu,;t t
478s,@host_alias@,,;t t
479s,@target_alias@,,;t t
480s,@DEFS@,-DHAVE_CONFIG_H,;t t
481s,@ECHO_C@,,;t t
482s,@ECHO_N@,-n,;t t
483s,@ECHO_T@,,;t t
484s,@LIBS@,,;t t
485s,@INSTALL_PROGRAM@,${INSTALL},;t t
486s,@INSTALL_SCRIPT@,${INSTALL},;t t
487s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
488s,@CYGPATH_W@,echo,;t t
489s,@PACKAGE@,strace,;t t
490s,@VERSION@,4.5.12,;t t
491s,@ACLOCAL@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run aclocal-1.9,;t t
492s,@AUTOCONF@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run autoconf,;t t
493s,@AUTOMAKE@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run automake-1.9,;t t
494s,@AUTOHEADER@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run autoheader,;t t
495s,@MAKEINFO@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run makeinfo,;t t
496s,@install_sh@,/android/sandbox/mkf/funpack/strace-4.5.12/install-sh,;t t
497s,@STRIP@,,;t t
498s,@ac_ct_STRIP@,,;t t
499s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
500s,@mkdir_p@,mkdir -p --,;t t
501s,@AWK@,gawk,;t t
502s,@SET_MAKE@,,;t t
503s,@am__leading_dot@,.,;t t
504s,@AMTAR@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run tar,;t t
505s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
506s,@am__untar@,${AMTAR} xf -,;t t
507s,@MAINTAINER_MODE_TRUE@,#,;t t
508s,@MAINTAINER_MODE_FALSE@,,;t t
509s,@MAINT@,#,;t t
510s,@build@,arm-unknown-linux-gnu,;t t
511s,@build_cpu@,arm,;t t
512s,@build_vendor@,unknown,;t t
513s,@build_os@,linux-gnu,;t t
514s,@host@,arm-unknown-linux-gnu,;t t
515s,@host_cpu@,arm,;t t
516s,@host_vendor@,unknown,;t t
517s,@host_os@,linux-gnu,;t t
518s,@opsys@,linux,;t t
519s,@arch@,arm,;t t
520s,@LINUX_TRUE@,,;t t
521s,@LINUX_FALSE@,#,;t t
522s,@I386_TRUE@,#,;t t
523s,@I386_FALSE@,,;t t
524s,@X86_64_TRUE@,#,;t t
525s,@X86_64_FALSE@,,;t t
526s,@SUNOS4_TRUE@,#,;t t
527s,@SUNOS4_FALSE@,,;t t
528s,@SVR4_TRUE@,#,;t t
529s,@SVR4_FALSE@,,;t t
530s,@FREEBSD_TRUE@,#,;t t
531s,@FREEBSD_FALSE@,,;t t
532s,@CC@,gcc,;t t
533s,@CFLAGS@,-I/android/device/system/kernel_headers/,;t t
534s,@LDFLAGS@,,;t t
535s,@CPPFLAGS@,,;t t
536s,@ac_ct_CC@,gcc,;t t
537s,@EXEEXT@,,;t t
538s,@OBJEXT@,o,;t t
539s,@DEPDIR@,.deps,;t t
540s,@am__include@,include,;t t
541s,@am__quote@,,;t t
542s,@AMDEP_TRUE@,,;t t
543s,@AMDEP_FALSE@,#,;t t
544s,@AMDEPBACKSLASH@,\,;t t
545s,@CCDEPMODE@,depmode=gcc3,;t t
546s,@am__fastdepCC_TRUE@,,;t t
547s,@am__fastdepCC_FALSE@,#,;t t
548s,@WARNFLAGS@,-Wall,;t t
549s,@CPP@,gcc -E,;t t
550s,@EGREP@,grep -E,;t t
551s,@PERL@,/usr/bin/perl,;t t
552s,@LIBOBJS@,,;t t
553s,@LTLIBOBJS@,,;t t
554CEOF
555
556  # Split the substitutions into bite-sized pieces for seds with
557  # small command number limits, like on Digital OSF/1 and HP-UX.
558  ac_max_sed_lines=48
559  ac_sed_frag=1 # Number of current file.
560  ac_beg=1 # First line for current file.
561  ac_end=$ac_max_sed_lines # Line after last line for current file.
562  ac_more_lines=:
563  ac_sed_cmds=
564  while $ac_more_lines; do
565    if test $ac_beg -gt 1; then
566      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
567    else
568      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
569    fi
570    if test ! -s $tmp/subs.frag; then
571      ac_more_lines=false
572    else
573      # The purpose of the label and of the branching condition is to
574      # speed up the sed processing (if there are no `@' at all, there
575      # is no need to browse any of the substitutions).
576      # These are the two extra sed commands mentioned above.
577      (echo ':t
578  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
579      if test -z "$ac_sed_cmds"; then
580	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
581      else
582	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
583      fi
584      ac_sed_frag=`expr $ac_sed_frag + 1`
585      ac_beg=$ac_end
586      ac_end=`expr $ac_end + $ac_max_sed_lines`
587    fi
588  done
589  if test -z "$ac_sed_cmds"; then
590    ac_sed_cmds=cat
591  fi
592fi # test -n "$CONFIG_FILES"
593
594for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
595  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
596  case $ac_file in
597  - | *:- | *:-:* ) # input from stdin
598	cat >$tmp/stdin
599	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
600	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
601  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
602	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
603  * )   ac_file_in=$ac_file.in ;;
604  esac
605
606  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
607  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
608$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
609	 X"$ac_file" : 'X\(//\)[^/]' \| \
610	 X"$ac_file" : 'X\(//\)$' \| \
611	 X"$ac_file" : 'X\(/\)' \| \
612	 .     : '\(.\)' 2>/dev/null ||
613echo X"$ac_file" |
614    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
615  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
616  	  /^X\(\/\/\)$/{ s//\1/; q; }
617  	  /^X\(\/\).*/{ s//\1/; q; }
618  	  s/.*/./; q'`
619  { if $as_mkdir_p; then
620    mkdir -p "$ac_dir"
621  else
622    as_dir="$ac_dir"
623    as_dirs=
624    while test ! -d "$as_dir"; do
625      as_dirs="$as_dir $as_dirs"
626      as_dir=`(dirname "$as_dir") 2>/dev/null ||
627$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
628	 X"$as_dir" : 'X\(//\)[^/]' \| \
629	 X"$as_dir" : 'X\(//\)$' \| \
630	 X"$as_dir" : 'X\(/\)' \| \
631	 .     : '\(.\)' 2>/dev/null ||
632echo X"$as_dir" |
633    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
634  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
635  	  /^X\(\/\/\)$/{ s//\1/; q; }
636  	  /^X\(\/\).*/{ s//\1/; q; }
637  	  s/.*/./; q'`
638    done
639    test ! -n "$as_dirs" || mkdir $as_dirs
640  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
641echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
642   { (exit 1); exit 1; }; }; }
643
644  ac_builddir=.
645
646if test "$ac_dir" != .; then
647  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
648  # A "../" for each directory in $ac_dir_suffix.
649  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
650else
651  ac_dir_suffix= ac_top_builddir=
652fi
653
654case $srcdir in
655  .)  # No --srcdir option.  We are building in place.
656    ac_srcdir=.
657    if test -z "$ac_top_builddir"; then
658       ac_top_srcdir=.
659    else
660       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
661    fi ;;
662  [\\/]* | ?:[\\/]* )  # Absolute path.
663    ac_srcdir=$srcdir$ac_dir_suffix;
664    ac_top_srcdir=$srcdir ;;
665  *) # Relative path.
666    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
667    ac_top_srcdir=$ac_top_builddir$srcdir ;;
668esac
669
670# Do not use `cd foo && pwd` to compute absolute paths, because
671# the directories may not exist.
672case `pwd` in
673.) ac_abs_builddir="$ac_dir";;
674*)
675  case "$ac_dir" in
676  .) ac_abs_builddir=`pwd`;;
677  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
678  *) ac_abs_builddir=`pwd`/"$ac_dir";;
679  esac;;
680esac
681case $ac_abs_builddir in
682.) ac_abs_top_builddir=${ac_top_builddir}.;;
683*)
684  case ${ac_top_builddir}. in
685  .) ac_abs_top_builddir=$ac_abs_builddir;;
686  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
687  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
688  esac;;
689esac
690case $ac_abs_builddir in
691.) ac_abs_srcdir=$ac_srcdir;;
692*)
693  case $ac_srcdir in
694  .) ac_abs_srcdir=$ac_abs_builddir;;
695  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
696  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
697  esac;;
698esac
699case $ac_abs_builddir in
700.) ac_abs_top_srcdir=$ac_top_srcdir;;
701*)
702  case $ac_top_srcdir in
703  .) ac_abs_top_srcdir=$ac_abs_builddir;;
704  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
705  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
706  esac;;
707esac
708
709
710  case $INSTALL in
711  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
712  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
713  esac
714
715  if test x"$ac_file" != x-; then
716    { echo "$as_me:$LINENO: creating $ac_file" >&5
717echo "$as_me: creating $ac_file" >&6;}
718    rm -f "$ac_file"
719  fi
720  # Let's still pretend it is `configure' which instantiates (i.e., don't
721  # use $as_me), people would be surprised to read:
722  #    /* config.h.  Generated by config.status.  */
723  if test x"$ac_file" = x-; then
724    configure_input=
725  else
726    configure_input="$ac_file.  "
727  fi
728  configure_input=$configure_input"Generated from `echo $ac_file_in |
729				     sed 's,.*/,,'` by configure."
730
731  # First look for the input files in the build tree, otherwise in the
732  # src tree.
733  ac_file_inputs=`IFS=:
734    for f in $ac_file_in; do
735      case $f in
736      -) echo $tmp/stdin ;;
737      [\\/$]*)
738	 # Absolute (can't be DOS-style, as IFS=:)
739	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
740echo "$as_me: error: cannot find input file: $f" >&2;}
741   { (exit 1); exit 1; }; }
742	 echo "$f";;
743      *) # Relative
744	 if test -f "$f"; then
745	   # Build tree
746	   echo "$f"
747	 elif test -f "$srcdir/$f"; then
748	   # Source tree
749	   echo "$srcdir/$f"
750	 else
751	   # /dev/null tree
752	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
753echo "$as_me: error: cannot find input file: $f" >&2;}
754   { (exit 1); exit 1; }; }
755	 fi;;
756      esac
757    done` || { (exit 1); exit 1; }
758  sed "/^[	 ]*VPATH[	 ]*=/{
759s/:*\$(srcdir):*/:/;
760s/:*\${srcdir}:*/:/;
761s/:*@srcdir@:*/:/;
762s/^\([^=]*=[	 ]*\):*/\1/;
763s/:*$//;
764s/^[^=]*=[	 ]*$//;
765}
766
767:t
768/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
769s,@configure_input@,$configure_input,;t t
770s,@srcdir@,$ac_srcdir,;t t
771s,@abs_srcdir@,$ac_abs_srcdir,;t t
772s,@top_srcdir@,$ac_top_srcdir,;t t
773s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
774s,@builddir@,$ac_builddir,;t t
775s,@abs_builddir@,$ac_abs_builddir,;t t
776s,@top_builddir@,$ac_top_builddir,;t t
777s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
778s,@INSTALL@,$ac_INSTALL,;t t
779" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
780  rm -f $tmp/stdin
781  if test x"$ac_file" != x-; then
782    mv $tmp/out $ac_file
783  else
784    cat $tmp/out
785    rm -f $tmp/out
786  fi
787
788done
789
790#
791# CONFIG_HEADER section.
792#
793
794# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
795# NAME is the cpp macro being defined and VALUE is the value it is being given.
796#
797# ac_d sets the value in "#define NAME VALUE" lines.
798ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
799ac_dB='[	 ].*$,\1#\2'
800ac_dC=' '
801ac_dD=',;t'
802# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
803ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
804ac_uB='$,\1#\2define\3'
805ac_uC=' '
806ac_uD=',;t'
807
808for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
809  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
810  case $ac_file in
811  - | *:- | *:-:* ) # input from stdin
812	cat >$tmp/stdin
813	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
814	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
815  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
816	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
817  * )   ac_file_in=$ac_file.in ;;
818  esac
819
820  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
821echo "$as_me: creating $ac_file" >&6;}
822
823  # First look for the input files in the build tree, otherwise in the
824  # src tree.
825  ac_file_inputs=`IFS=:
826    for f in $ac_file_in; do
827      case $f in
828      -) echo $tmp/stdin ;;
829      [\\/$]*)
830	 # Absolute (can't be DOS-style, as IFS=:)
831	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
832echo "$as_me: error: cannot find input file: $f" >&2;}
833   { (exit 1); exit 1; }; }
834	 # Do quote $f, to prevent DOS paths from being IFS'd.
835	 echo "$f";;
836      *) # Relative
837	 if test -f "$f"; then
838	   # Build tree
839	   echo "$f"
840	 elif test -f "$srcdir/$f"; then
841	   # Source tree
842	   echo "$srcdir/$f"
843	 else
844	   # /dev/null tree
845	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
846echo "$as_me: error: cannot find input file: $f" >&2;}
847   { (exit 1); exit 1; }; }
848	 fi;;
849      esac
850    done` || { (exit 1); exit 1; }
851  # Remove the trailing spaces.
852  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
853
854  # Handle all the #define templates only if necessary.
855  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
856  # If there are no defines, we may have an empty if/fi
857  :
858  cat >$tmp/defines.sed <<CEOF
859/^[	 ]*#[	 ]*define/!b
860t clr
861: clr
862${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"strace"${ac_dD}
863${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"strace"${ac_dD}
864${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"4.5.12"${ac_dD}
865${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"strace 4.5.12"${ac_dD}
866${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
867${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"strace"${ac_dD}
868${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"4.5.12"${ac_dD}
869${ac_dA}LINUX${ac_dB}LINUX${ac_dC}1${ac_dD}
870${ac_dA}ARM${ac_dB}ARM${ac_dC}1${ac_dD}
871${ac_dA}_GNU_SOURCE${ac_dB}_GNU_SOURCE${ac_dC}1${ac_dD}
872${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
873${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
874${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
875${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
876${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
877${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
878${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
879${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
880${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
881${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
882${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
883${ac_dA}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_dB}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_dC}1${ac_dD}
884${ac_dA}HAVE_STRUCT_STAT_ST_BLOCKS${ac_dB}HAVE_STRUCT_STAT_ST_BLOCKS${ac_dC}1${ac_dD}
885${ac_dA}HAVE_STRUCT_STAT_ST_RDEV${ac_dB}HAVE_STRUCT_STAT_ST_RDEV${ac_dC}1${ac_dD}
886${ac_dA}HAVE_STAT64${ac_dB}HAVE_STAT64${ac_dC}1${ac_dD}
887${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
888${ac_dA}GETGROUPS_T${ac_dB}GETGROUPS_T${ac_dC}gid_t${ac_dD}
889${ac_dA}HAVE_SIG_ATOMIC_T${ac_dB}HAVE_SIG_ATOMIC_T${ac_dC}1${ac_dD}
890${ac_dA}HAVE_SIGINFO_T${ac_dB}HAVE_SIGINFO_T${ac_dC}1${ac_dD}
891${ac_dA}HAVE_STRUCT_SOCKADDR_IN6_SIN6_SCOPE_ID${ac_dB}HAVE_STRUCT_SOCKADDR_IN6_SIN6_SCOPE_ID${ac_dC}1${ac_dD}
892${ac_dA}HAVE_LONG_LONG${ac_dB}HAVE_LONG_LONG${ac_dC}1${ac_dD}
893${ac_dA}HAVE_LITTLE_ENDIAN_LONG_LONG${ac_dB}HAVE_LITTLE_ENDIAN_LONG_LONG${ac_dC}1${ac_dD}
894${ac_dA}HAVE_SIGACTION${ac_dB}HAVE_SIGACTION${ac_dC}1${ac_dD}
895${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
896${ac_dA}HAVE_STRSIGNAL${ac_dB}HAVE_STRSIGNAL${ac_dC}1${ac_dD}
897${ac_dA}HAVE_PREAD${ac_dB}HAVE_PREAD${ac_dC}1${ac_dD}
898${ac_dA}HAVE_SYS_SIGLIST${ac_dB}HAVE_SYS_SIGLIST${ac_dC}1${ac_dD}
899${ac_dA}HAVE__SYS_SIGLIST${ac_dB}HAVE__SYS_SIGLIST${ac_dC}1${ac_dD}
900CEOF
901  sed -f $tmp/defines.sed $tmp/in >$tmp/out
902  rm -f $tmp/in
903  mv $tmp/out $tmp/in
904
905  cat >$tmp/defines.sed <<CEOF
906/^[	 ]*#[	 ]*define/!b
907t clr
908: clr
909${ac_dA}HAVE_PRCTL${ac_dB}HAVE_PRCTL${ac_dC}1${ac_dD}
910${ac_dA}HAVE_SENDMSG${ac_dB}HAVE_SENDMSG${ac_dC}1${ac_dD}
911${ac_dA}HAVE_INET_NTOP${ac_dB}HAVE_INET_NTOP${ac_dC}1${ac_dD}
912${ac_dA}HAVE_IF_INDEXTONAME${ac_dB}HAVE_IF_INDEXTONAME${ac_dC}1${ac_dD}
913${ac_dA}HAVE_SYS_REG_H${ac_dB}HAVE_SYS_REG_H${ac_dC}1${ac_dD}
914${ac_dA}HAVE_STROPTS_H${ac_dB}HAVE_STROPTS_H${ac_dC}1${ac_dD}
915${ac_dA}HAVE_SYS_IOCTL_H${ac_dB}HAVE_SYS_IOCTL_H${ac_dC}1${ac_dD}
916${ac_dA}HAVE_SYS_PTRACE_H${ac_dB}HAVE_SYS_PTRACE_H${ac_dC}1${ac_dD}
917${ac_dA}HAVE_TERMIO_H${ac_dB}HAVE_TERMIO_H${ac_dC}1${ac_dD}
918${ac_dA}HAVE_LINUX_PTRACE_H${ac_dB}HAVE_LINUX_PTRACE_H${ac_dC}1${ac_dD}
919${ac_dA}HAVE_SYS_UIO_H${ac_dB}HAVE_SYS_UIO_H${ac_dC}1${ac_dD}
920${ac_dA}HAVE_POLL_H${ac_dB}HAVE_POLL_H${ac_dC}1${ac_dD}
921${ac_dA}HAVE_SYS_POLL_H${ac_dB}HAVE_SYS_POLL_H${ac_dC}1${ac_dD}
922${ac_dA}HAVE_SYS_VFS_H${ac_dB}HAVE_SYS_VFS_H${ac_dC}1${ac_dD}
923${ac_dA}HAVE_LINUX_UTSNAME_H${ac_dB}HAVE_LINUX_UTSNAME_H${ac_dC}1${ac_dD}
924${ac_dA}HAVE_MQUEUE_H${ac_dB}HAVE_MQUEUE_H${ac_dC}1${ac_dD}
925${ac_dA}HAVE_SYS_EPOLL_H${ac_dB}HAVE_SYS_EPOLL_H${ac_dC}1${ac_dD}
926${ac_dA}HAVE_LINUX_ICMP_H${ac_dB}HAVE_LINUX_ICMP_H${ac_dC}1${ac_dD}
927${ac_dA}HAVE_LINUX_IN6_H${ac_dB}HAVE_LINUX_IN6_H${ac_dC}1${ac_dD}
928${ac_dA}HAVE_LINUX_NETLINK_H${ac_dB}HAVE_LINUX_NETLINK_H${ac_dC}1${ac_dD}
929${ac_dA}HAVE_LINUX_IF_PACKET_H${ac_dB}HAVE_LINUX_IF_PACKET_H${ac_dC}1${ac_dD}
930${ac_dA}HAVE_ASM_SIGCONTEXT_H${ac_dB}HAVE_ASM_SIGCONTEXT_H${ac_dC}1${ac_dD}
931${ac_dA}HAVE_NETINET_TCP_H${ac_dB}HAVE_NETINET_TCP_H${ac_dC}1${ac_dD}
932${ac_dA}HAVE_NETINET_UDP_H${ac_dB}HAVE_NETINET_UDP_H${ac_dC}1${ac_dD}
933${ac_dA}HAVE_STRUCT_MSGHDR_MSG_CONTROL${ac_dB}HAVE_STRUCT_MSGHDR_MSG_CONTROL${ac_dC}1${ac_dD}
934${ac_dA}HAVE_STRUCT___OLD_KERNEL_STAT${ac_dB}HAVE_STRUCT___OLD_KERNEL_STAT${ac_dC}1${ac_dD}
935${ac_dA}HAVE_STRUCT_USER_DESC${ac_dB}HAVE_STRUCT_USER_DESC${ac_dC}1${ac_dD}
936${ac_dA}HAVE_DECL_SYS_ERRLIST${ac_dB}HAVE_DECL_SYS_ERRLIST${ac_dC}1${ac_dD}
937${ac_dA}HAVE_DECL_SYS_SIGLIST${ac_dB}HAVE_DECL_SYS_SIGLIST${ac_dC}1${ac_dD}
938${ac_dA}HAVE_DECL__SYS_SIGLIST${ac_dB}HAVE_DECL__SYS_SIGLIST${ac_dC}1${ac_dD}
939CEOF
940  sed -f $tmp/defines.sed $tmp/in >$tmp/out
941  rm -f $tmp/in
942  mv $tmp/out $tmp/in
943
944  fi # grep
945
946  # Handle all the #undef templates
947  cat >$tmp/undefs.sed <<CEOF
948/^[	 ]*#[	 ]*undef/!b
949t clr
950: clr
951${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"strace"${ac_uD}
952${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"strace"${ac_uD}
953${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"4.5.12"${ac_uD}
954${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"strace 4.5.12"${ac_uD}
955${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
956${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"strace"${ac_uD}
957${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"4.5.12"${ac_uD}
958${ac_uA}LINUX${ac_uB}LINUX${ac_uC}1${ac_uD}
959${ac_uA}ARM${ac_uB}ARM${ac_uC}1${ac_uD}
960${ac_uA}_GNU_SOURCE${ac_uB}_GNU_SOURCE${ac_uC}1${ac_uD}
961${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
962${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
963${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
964${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
965${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
966${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
967${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
968${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
969${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
970${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
971${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
972${ac_uA}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_uB}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_uC}1${ac_uD}
973${ac_uA}HAVE_STRUCT_STAT_ST_BLOCKS${ac_uB}HAVE_STRUCT_STAT_ST_BLOCKS${ac_uC}1${ac_uD}
974${ac_uA}HAVE_STRUCT_STAT_ST_RDEV${ac_uB}HAVE_STRUCT_STAT_ST_RDEV${ac_uC}1${ac_uD}
975${ac_uA}HAVE_STAT64${ac_uB}HAVE_STAT64${ac_uC}1${ac_uD}
976${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
977${ac_uA}GETGROUPS_T${ac_uB}GETGROUPS_T${ac_uC}gid_t${ac_uD}
978${ac_uA}HAVE_SIG_ATOMIC_T${ac_uB}HAVE_SIG_ATOMIC_T${ac_uC}1${ac_uD}
979${ac_uA}HAVE_SIGINFO_T${ac_uB}HAVE_SIGINFO_T${ac_uC}1${ac_uD}
980${ac_uA}HAVE_STRUCT_SOCKADDR_IN6_SIN6_SCOPE_ID${ac_uB}HAVE_STRUCT_SOCKADDR_IN6_SIN6_SCOPE_ID${ac_uC}1${ac_uD}
981${ac_uA}HAVE_LONG_LONG${ac_uB}HAVE_LONG_LONG${ac_uC}1${ac_uD}
982${ac_uA}HAVE_LITTLE_ENDIAN_LONG_LONG${ac_uB}HAVE_LITTLE_ENDIAN_LONG_LONG${ac_uC}1${ac_uD}
983${ac_uA}HAVE_SIGACTION${ac_uB}HAVE_SIGACTION${ac_uC}1${ac_uD}
984${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
985${ac_uA}HAVE_STRSIGNAL${ac_uB}HAVE_STRSIGNAL${ac_uC}1${ac_uD}
986${ac_uA}HAVE_PREAD${ac_uB}HAVE_PREAD${ac_uC}1${ac_uD}
987${ac_uA}HAVE_SYS_SIGLIST${ac_uB}HAVE_SYS_SIGLIST${ac_uC}1${ac_uD}
988${ac_uA}HAVE__SYS_SIGLIST${ac_uB}HAVE__SYS_SIGLIST${ac_uC}1${ac_uD}
989CEOF
990  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
991  rm -f $tmp/in
992  mv $tmp/out $tmp/in
993
994  cat >$tmp/undefs.sed <<CEOF
995/^[	 ]*#[	 ]*undef/!b
996t clr
997: clr
998${ac_uA}HAVE_PRCTL${ac_uB}HAVE_PRCTL${ac_uC}1${ac_uD}
999${ac_uA}HAVE_SENDMSG${ac_uB}HAVE_SENDMSG${ac_uC}1${ac_uD}
1000${ac_uA}HAVE_INET_NTOP${ac_uB}HAVE_INET_NTOP${ac_uC}1${ac_uD}
1001${ac_uA}HAVE_IF_INDEXTONAME${ac_uB}HAVE_IF_INDEXTONAME${ac_uC}1${ac_uD}
1002${ac_uA}HAVE_SYS_REG_H${ac_uB}HAVE_SYS_REG_H${ac_uC}1${ac_uD}
1003${ac_uA}HAVE_STROPTS_H${ac_uB}HAVE_STROPTS_H${ac_uC}1${ac_uD}
1004${ac_uA}HAVE_SYS_IOCTL_H${ac_uB}HAVE_SYS_IOCTL_H${ac_uC}1${ac_uD}
1005${ac_uA}HAVE_SYS_PTRACE_H${ac_uB}HAVE_SYS_PTRACE_H${ac_uC}1${ac_uD}
1006${ac_uA}HAVE_TERMIO_H${ac_uB}HAVE_TERMIO_H${ac_uC}1${ac_uD}
1007${ac_uA}HAVE_LINUX_PTRACE_H${ac_uB}HAVE_LINUX_PTRACE_H${ac_uC}1${ac_uD}
1008${ac_uA}HAVE_SYS_UIO_H${ac_uB}HAVE_SYS_UIO_H${ac_uC}1${ac_uD}
1009${ac_uA}HAVE_POLL_H${ac_uB}HAVE_POLL_H${ac_uC}1${ac_uD}
1010${ac_uA}HAVE_SYS_POLL_H${ac_uB}HAVE_SYS_POLL_H${ac_uC}1${ac_uD}
1011${ac_uA}HAVE_SYS_VFS_H${ac_uB}HAVE_SYS_VFS_H${ac_uC}1${ac_uD}
1012${ac_uA}HAVE_LINUX_UTSNAME_H${ac_uB}HAVE_LINUX_UTSNAME_H${ac_uC}1${ac_uD}
1013${ac_uA}HAVE_MQUEUE_H${ac_uB}HAVE_MQUEUE_H${ac_uC}1${ac_uD}
1014${ac_uA}HAVE_SYS_EPOLL_H${ac_uB}HAVE_SYS_EPOLL_H${ac_uC}1${ac_uD}
1015${ac_uA}HAVE_LINUX_ICMP_H${ac_uB}HAVE_LINUX_ICMP_H${ac_uC}1${ac_uD}
1016${ac_uA}HAVE_LINUX_IN6_H${ac_uB}HAVE_LINUX_IN6_H${ac_uC}1${ac_uD}
1017${ac_uA}HAVE_LINUX_NETLINK_H${ac_uB}HAVE_LINUX_NETLINK_H${ac_uC}1${ac_uD}
1018${ac_uA}HAVE_LINUX_IF_PACKET_H${ac_uB}HAVE_LINUX_IF_PACKET_H${ac_uC}1${ac_uD}
1019${ac_uA}HAVE_ASM_SIGCONTEXT_H${ac_uB}HAVE_ASM_SIGCONTEXT_H${ac_uC}1${ac_uD}
1020${ac_uA}HAVE_NETINET_TCP_H${ac_uB}HAVE_NETINET_TCP_H${ac_uC}1${ac_uD}
1021${ac_uA}HAVE_NETINET_UDP_H${ac_uB}HAVE_NETINET_UDP_H${ac_uC}1${ac_uD}
1022${ac_uA}HAVE_STRUCT_MSGHDR_MSG_CONTROL${ac_uB}HAVE_STRUCT_MSGHDR_MSG_CONTROL${ac_uC}1${ac_uD}
1023${ac_uA}HAVE_STRUCT___OLD_KERNEL_STAT${ac_uB}HAVE_STRUCT___OLD_KERNEL_STAT${ac_uC}1${ac_uD}
1024${ac_uA}HAVE_STRUCT_USER_DESC${ac_uB}HAVE_STRUCT_USER_DESC${ac_uC}1${ac_uD}
1025${ac_uA}HAVE_DECL_SYS_ERRLIST${ac_uB}HAVE_DECL_SYS_ERRLIST${ac_uC}1${ac_uD}
1026${ac_uA}HAVE_DECL_SYS_SIGLIST${ac_uB}HAVE_DECL_SYS_SIGLIST${ac_uC}1${ac_uD}
1027${ac_uA}HAVE_DECL__SYS_SIGLIST${ac_uB}HAVE_DECL__SYS_SIGLIST${ac_uC}1${ac_uD}
1028s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
1029CEOF
1030  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1031  rm -f $tmp/in
1032  mv $tmp/out $tmp/in
1033
1034  # Let's still pretend it is `configure' which instantiates (i.e., don't
1035  # use $as_me), people would be surprised to read:
1036  #    /* config.h.  Generated by config.status.  */
1037  if test x"$ac_file" = x-; then
1038    echo "/* Generated by configure.  */" >$tmp/config.h
1039  else
1040    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
1041  fi
1042  cat $tmp/in >>$tmp/config.h
1043  rm -f $tmp/in
1044  if test x"$ac_file" != x-; then
1045    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
1046      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1047echo "$as_me: $ac_file is unchanged" >&6;}
1048    else
1049      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1050$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1051	 X"$ac_file" : 'X\(//\)[^/]' \| \
1052	 X"$ac_file" : 'X\(//\)$' \| \
1053	 X"$ac_file" : 'X\(/\)' \| \
1054	 .     : '\(.\)' 2>/dev/null ||
1055echo X"$ac_file" |
1056    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1057  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1058  	  /^X\(\/\/\)$/{ s//\1/; q; }
1059  	  /^X\(\/\).*/{ s//\1/; q; }
1060  	  s/.*/./; q'`
1061      { if $as_mkdir_p; then
1062    mkdir -p "$ac_dir"
1063  else
1064    as_dir="$ac_dir"
1065    as_dirs=
1066    while test ! -d "$as_dir"; do
1067      as_dirs="$as_dir $as_dirs"
1068      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1069$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1070	 X"$as_dir" : 'X\(//\)[^/]' \| \
1071	 X"$as_dir" : 'X\(//\)$' \| \
1072	 X"$as_dir" : 'X\(/\)' \| \
1073	 .     : '\(.\)' 2>/dev/null ||
1074echo X"$as_dir" |
1075    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1076  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1077  	  /^X\(\/\/\)$/{ s//\1/; q; }
1078  	  /^X\(\/\).*/{ s//\1/; q; }
1079  	  s/.*/./; q'`
1080    done
1081    test ! -n "$as_dirs" || mkdir $as_dirs
1082  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1083echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1084   { (exit 1); exit 1; }; }; }
1085
1086      rm -f $ac_file
1087      mv $tmp/config.h $ac_file
1088    fi
1089  else
1090    cat $tmp/config.h
1091    rm -f $tmp/config.h
1092  fi
1093# Compute $ac_file's index in $config_headers.
1094_am_stamp_count=1
1095for _am_header in $config_headers :; do
1096  case $_am_header in
1097    $ac_file | $ac_file:* )
1098      break ;;
1099    * )
1100      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1101  esac
1102done
1103echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1104$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1105	 X$ac_file : 'X\(//\)[^/]' \| \
1106	 X$ac_file : 'X\(//\)$' \| \
1107	 X$ac_file : 'X\(/\)' \| \
1108	 .     : '\(.\)' 2>/dev/null ||
1109echo X$ac_file |
1110    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1111  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1112  	  /^X\(\/\/\)$/{ s//\1/; q; }
1113  	  /^X\(\/\).*/{ s//\1/; q; }
1114  	  s/.*/./; q'`/stamp-h$_am_stamp_count
1115done
1116
1117#
1118# CONFIG_COMMANDS section.
1119#
1120for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1121  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1122  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1123  ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1124$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1125	 X"$ac_dest" : 'X\(//\)[^/]' \| \
1126	 X"$ac_dest" : 'X\(//\)$' \| \
1127	 X"$ac_dest" : 'X\(/\)' \| \
1128	 .     : '\(.\)' 2>/dev/null ||
1129echo X"$ac_dest" |
1130    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1131  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1132  	  /^X\(\/\/\)$/{ s//\1/; q; }
1133  	  /^X\(\/\).*/{ s//\1/; q; }
1134  	  s/.*/./; q'`
1135  { if $as_mkdir_p; then
1136    mkdir -p "$ac_dir"
1137  else
1138    as_dir="$ac_dir"
1139    as_dirs=
1140    while test ! -d "$as_dir"; do
1141      as_dirs="$as_dir $as_dirs"
1142      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1143$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1144	 X"$as_dir" : 'X\(//\)[^/]' \| \
1145	 X"$as_dir" : 'X\(//\)$' \| \
1146	 X"$as_dir" : 'X\(/\)' \| \
1147	 .     : '\(.\)' 2>/dev/null ||
1148echo X"$as_dir" |
1149    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1150  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1151  	  /^X\(\/\/\)$/{ s//\1/; q; }
1152  	  /^X\(\/\).*/{ s//\1/; q; }
1153  	  s/.*/./; q'`
1154    done
1155    test ! -n "$as_dirs" || mkdir $as_dirs
1156  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1157echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1158   { (exit 1); exit 1; }; }; }
1159
1160  ac_builddir=.
1161
1162if test "$ac_dir" != .; then
1163  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1164  # A "../" for each directory in $ac_dir_suffix.
1165  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1166else
1167  ac_dir_suffix= ac_top_builddir=
1168fi
1169
1170case $srcdir in
1171  .)  # No --srcdir option.  We are building in place.
1172    ac_srcdir=.
1173    if test -z "$ac_top_builddir"; then
1174       ac_top_srcdir=.
1175    else
1176       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1177    fi ;;
1178  [\\/]* | ?:[\\/]* )  # Absolute path.
1179    ac_srcdir=$srcdir$ac_dir_suffix;
1180    ac_top_srcdir=$srcdir ;;
1181  *) # Relative path.
1182    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1183    ac_top_srcdir=$ac_top_builddir$srcdir ;;
1184esac
1185
1186# Do not use `cd foo && pwd` to compute absolute paths, because
1187# the directories may not exist.
1188case `pwd` in
1189.) ac_abs_builddir="$ac_dir";;
1190*)
1191  case "$ac_dir" in
1192  .) ac_abs_builddir=`pwd`;;
1193  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1194  *) ac_abs_builddir=`pwd`/"$ac_dir";;
1195  esac;;
1196esac
1197case $ac_abs_builddir in
1198.) ac_abs_top_builddir=${ac_top_builddir}.;;
1199*)
1200  case ${ac_top_builddir}. in
1201  .) ac_abs_top_builddir=$ac_abs_builddir;;
1202  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1203  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1204  esac;;
1205esac
1206case $ac_abs_builddir in
1207.) ac_abs_srcdir=$ac_srcdir;;
1208*)
1209  case $ac_srcdir in
1210  .) ac_abs_srcdir=$ac_abs_builddir;;
1211  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1212  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1213  esac;;
1214esac
1215case $ac_abs_builddir in
1216.) ac_abs_top_srcdir=$ac_top_srcdir;;
1217*)
1218  case $ac_top_srcdir in
1219  .) ac_abs_top_srcdir=$ac_abs_builddir;;
1220  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1221  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1222  esac;;
1223esac
1224
1225
1226  { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1227echo "$as_me: executing $ac_dest commands" >&6;}
1228  case $ac_dest in
1229    depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1230  # Strip MF so we end up with the name of the file.
1231  mf=`echo "$mf" | sed -e 's/:.*$//'`
1232  # Check whether this is an Automake generated Makefile or not.
1233  # We used to match only the files named `Makefile.in', but
1234  # some people rename them; so instead we look at the file content.
1235  # Grep'ing the first line is not enough: some people post-process
1236  # each Makefile.in and add a new line on top of each file to say so.
1237  # So let's grep whole file.
1238  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1239    dirpart=`(dirname "$mf") 2>/dev/null ||
1240$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1241	 X"$mf" : 'X\(//\)[^/]' \| \
1242	 X"$mf" : 'X\(//\)$' \| \
1243	 X"$mf" : 'X\(/\)' \| \
1244	 .     : '\(.\)' 2>/dev/null ||
1245echo X"$mf" |
1246    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1247  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1248  	  /^X\(\/\/\)$/{ s//\1/; q; }
1249  	  /^X\(\/\).*/{ s//\1/; q; }
1250  	  s/.*/./; q'`
1251  else
1252    continue
1253  fi
1254  # Extract the definition of DEPDIR, am__include, and am__quote
1255  # from the Makefile without running `make'.
1256  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1257  test -z "$DEPDIR" && continue
1258  am__include=`sed -n 's/^am__include = //p' < "$mf"`
1259  test -z "am__include" && continue
1260  am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1261  # When using ansi2knr, U may be empty or an underscore; expand it
1262  U=`sed -n 's/^U = //p' < "$mf"`
1263  # Find all dependency output files, they are included files with
1264  # $(DEPDIR) in their names.  We invoke sed twice because it is the
1265  # simplest approach to changing $(DEPDIR) to its actual value in the
1266  # expansion.
1267  for file in `sed -n "
1268    s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1269       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1270    # Make sure the directory exists.
1271    test -f "$dirpart/$file" && continue
1272    fdir=`(dirname "$file") 2>/dev/null ||
1273$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1274	 X"$file" : 'X\(//\)[^/]' \| \
1275	 X"$file" : 'X\(//\)$' \| \
1276	 X"$file" : 'X\(/\)' \| \
1277	 .     : '\(.\)' 2>/dev/null ||
1278echo X"$file" |
1279    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1280  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1281  	  /^X\(\/\/\)$/{ s//\1/; q; }
1282  	  /^X\(\/\).*/{ s//\1/; q; }
1283  	  s/.*/./; q'`
1284    { if $as_mkdir_p; then
1285    mkdir -p $dirpart/$fdir
1286  else
1287    as_dir=$dirpart/$fdir
1288    as_dirs=
1289    while test ! -d "$as_dir"; do
1290      as_dirs="$as_dir $as_dirs"
1291      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1292$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1293	 X"$as_dir" : 'X\(//\)[^/]' \| \
1294	 X"$as_dir" : 'X\(//\)$' \| \
1295	 X"$as_dir" : 'X\(/\)' \| \
1296	 .     : '\(.\)' 2>/dev/null ||
1297echo X"$as_dir" |
1298    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1299  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1300  	  /^X\(\/\/\)$/{ s//\1/; q; }
1301  	  /^X\(\/\).*/{ s//\1/; q; }
1302  	  s/.*/./; q'`
1303    done
1304    test ! -n "$as_dirs" || mkdir $as_dirs
1305  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1306echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1307   { (exit 1); exit 1; }; }; }
1308
1309    # echo "creating $dirpart/$file"
1310    echo '# dummy' > "$dirpart/$file"
1311  done
1312done
1313 ;;
1314  esac
1315done
1316
1317{ (exit 0); exit 0; }
1318